Inhalte
Index 🔎︎

# Funktion FileDateTime

Gibt eine Zeichenkette zurück, die Datum und Uhrzeit der Erstellung oder letzten Änderung einer Datei enthält.

## Syntax:

    FileDateTime (Text As String)

## Parameter:

Text: Ein beliebiger Zeichenkettenausdruck, der eine eindeutige Dateiangabe (ohne Platzhalterzeichen) enthält. Sie können auch die URL-Schreibweise verwenden.

Mit Hilfe dieser Funktion ermitteln Sie den genauen Zeitpunkt der Erstellung oder Modifikation einer Datei. Übergeben Sie den eindeutigen Dateinamen, und Sie erhalten Datum und Uhrzeit in einer Zeichenkette im Format "TT.MM.JJJJ HH.MM.SS" zurück.

Sie können das Gebietsschema, das in LibreOffice Basic zur Kontrolle der Formatierung von Zahlen, Daten und Währungen verwendet wird, unter LibreOffice – Einstellungen Extras – Optionen… – Spracheinstellungen – Sprachen einstellen. In Basic Formatierungscodes wird immer der Dezimalpunkt (.) als Platzhalter für das Dezimaltrennzeichen verwendet, der in Ihrem Gebietsschema definiert ist, und durch das entsprechende Zeichen ersetzt.

Dies gilt entsprechend für das Gebietsschema für Datums-, Uhrzeit- und Währungsformate. Der Basic-Format-Code wird entsprechend Ihrer Gebietsschema-Einstellung ausgewertet und angezeigt.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleFileDateTime
        MsgBox FileDateTime("C:\autoexec.bat")
    End Sub